aries-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alasdair Nottingham (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (ARIES-670) blueprint.api bundle exports org.osgi.service.blueprint package at version 0.0.0
Date Mon, 11 Jul 2011 21:52:59 GMT

    [ https://issues.apache.org/jira/browse/ARIES-670?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13063568#comment-13063568
] 

Alasdair Nottingham commented on ARIES-670:
-------------------------------------------

The relevant section of the blueprint specification is 121.13.5 Type Compatibility. It states
that:

To mitigate type incompatibility problems, a Blueprint extender must export the org.osgi.service.blueprint
package. In the uses: directive, it should list any packages of classes that can be shared
between the Blueprint extender and the Blueprint bundle. Blueprint bundles should import this
package.

> blueprint.api bundle exports org.osgi.service.blueprint package at version 0.0.0
> --------------------------------------------------------------------------------
>
>                 Key: ARIES-670
>                 URL: https://issues.apache.org/jira/browse/ARIES-670
>             Project: Aries
>          Issue Type: Bug
>          Components: Blueprint
>    Affects Versions: 0.4
>            Reporter: Jacek Laskowski
>
> As per discussion in the dev mailing list:
> "The core bundle has this import package: org.osgi.service.blueprint;version="[1.0.0,2.0.0)".
The api bundle exports the package but at version 0.0.0 (which is the bug). It works for the
'uber' bundle because everything is in the one bundle, and there is no import or export for
this package. Please would you open a JIRA bug for this. Thank you."

--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message